Update user status

View as Markdown
This endpoint updates the status of a user by posting feedback data to Trustly for an authorized Identity transaction. This communicates to Trustly that the user associated with the transaction has been successfully registered in the merchant system, or that the user record has been voided and therefore will not be eligible for future payment transactions. To confirm a user was registered, set properties `status` to `4`, `subStatus` to `559` and `description` to `Registered`. To void a user who did not complete registration after completing the Trustly ID flow, set `status` to `13`, `subStatus` to `558` and `description` to `Known bad user`. See the [Trustly ID tutorial](doc:trustly-id) for more details.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.

Request

This endpoint expects an object.
statusintegerOptionalDefaults to 4
subStatusintegerOptionalDefaults to 559
descriptionstringOptionalDefaults to Registered

Response

OK
requiredanyOptional
transactionIdstringOptional>=1 character

A unique transaction identifier generated by Trustly (15 character max).

transactionTypeenumOptional

Type of transaction record. Definitions and descriptions can be found in this table

paymentobjectOptional
A Trustly Payment
currencyenumOptional

3-letter ISO Currency Code. Currently only USD is supported.

amountstringOptional>=1 character

The amount of the transaction. (10 characters with support for 2 decimal places)

pendingstringOptional>=1 character

The total amount that is still pending completion. (10 characters with support for 2 decimal places)

paidstringOptional>=1 character

The total amount that was already paid. (10 characters with support for 2 decimal places)

refundedstringOptional>=1 character

The total amount that was refunded. (10 characters with support for 2 decimal places)

reversedstringOptional>=1 character

The total amount that was reversed. (10 characters with support for 2 decimal places)

balancestringOptional>=1 character

The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)

paymentProviderTransactionobjectOptional
Payment Provider Transaction
statusenumOptional

Status code of the Payment Provider Transaction record. Definitions and descriptions can be found in this table

statusMessagestringOptional>=1 character

A descriptive status message. (120 characters)

ipstringOptional>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtintegerOptional
The date and time the transaction was created as a UNIX timestamp.
processedAtintegerOptional
The date and time the transaction was processed as a UNIX timestamp.
completedAtintegerOptional
The date and time the transaction was completed as a UNIX timestamp.
updatedAtintegerOptional
The date and time the transaction was last updated as a UNIX timestamp.
ppTrxIdstringOptional>=1 character
internal use only
merchantReferencestringOptional>=1 character
Merchants internal reference id for the transaction.
expiredAtintegerOptional
The date and time the preauthorization will expire as a UNIX timestamp.
recordVersiondoubleOptional
The current record version.
originalTransactionIdstringOptional
feestringOptional
timeZonestringOptional
representmentScheduledAtdoubleOptional
paymentProcessorTypestringOptional
statusCodestringOptional
preAuthorizedbooleanOptional

Errors

401
Unauthorized Error